import Vue from 'vue'
import moment from 'moment'

/**
 * 时间格式化
 * @param {String} value 时间字符串
 * @param {String} formatString 格式化字符串
 */
Vue.filter('date', function(value, formatString = 'YYYY-MM-DD HH:mm:ss') {
    if (!value) return '';
//  如果是string,转换为number
    if (typeof value === 'string') {
        value = Number(value)
    }
    //如果是秒级时间戳，转换为毫秒级
    if ( typeof value === 'number' && value.toString().length === 10) {
        value = value * 1000
    }
    return moment(value).format(formatString);
})
